Package org.silverpeas.components.quickinfo.notification

# Class QuickInfoSubscriptionUserNotification

java.lang.Object
org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<News>
org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<News>
org.silverpeas.components.quickinfo.notification.AbstractQuickInfoUserNotification<News>
org.silverpeas.components.quickinfo.notification.AbstractNewsUserNotification
org.silverpeas.components.quickinfo.notification.QuickInfoSubscriptionUserNotification

All Implemented Interfaces:
  `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`, `org.silverpeas.core.notification.user.RemoveSenderRecipientBehavior`, `org.silverpeas.core.notification.user.UserSubscriptionNotificationBehavior`

public class QuickInfoSubscriptionUserNotification extends AbstractNewsUserNotification implements org.silverpeas.core.notification.user.UserSubscriptionNotificationBehavior

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

  ### Fields inherited from interface org.silverpeas.core.notification.user.UserSubscriptionNotificationBehavior

  `SUBSCRIPTION_NOTIFICATION_SENDING_CONFIRMATION_HTTP_PARAM`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QuickInfoSubscriptionUserNotification(News resource, org.silverpeas.core.notification.user.client.constant.NotifAction action)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getBundleSubjectKey()`
  `protected Collection<String>`
  `getGroupIdsToNotify()`
  `protected String`
  `getTemplateFileName()`
  `protected Collection<String>`
  `getUserIdsToNotify()`
  `protected void`
  `initialize()`

  ### Methods inherited from class org.silverpeas.components.quickinfo.notification.AbstractNewsUserNotification

  `getAction, getComponentInstanceId, getSender, performNotificationResource, performTemplateData`

  ### Methods inherited from class org.silverpeas.components.quickinfo.notification.AbstractQuickInfoUserNotification

  `getContributionAccessLinkLabelBundleKey, getLocalizationBundlePath, getSenderDetail, getSenderName, getTemplatePath`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `createNotification, getTitle, getTitle, perform, performBuild, performNotificationResource, performNotificationResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

  `getResource, getResourceURL, initializeNotificationResourceData, isGroupCanBeNotified, isSendImmediately, isUserCanBeNotified, performBuild, setResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

  `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, stop, stopWhenNoUserToNotify`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QuickInfoSubscriptionUserNotification

    public QuickInfoSubscriptionUserNotification(News resource, org.silverpeas.core.notification.user.client.constant.NotifAction action)

- ## Method Details

  - ### initialize

    protected void initialize()
    Overrides:
      `initialize` in class `org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<News>`

  - ### getBundleSubjectKey

    protected String getBundleSubjectKey()
    Overrides:
      `getBundleSubjectKey` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<News>`

  - ### getTemplateFileName

    protected String getTemplateFileName()
    Specified by:
      `getTemplateFileName` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<News>`

  - ### getUserIdsToNotify

    protected Collection<String> getUserIdsToNotify()
    Specified by:
      `getUserIdsToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getGroupIdsToNotify

    protected Collection<String> getGroupIdsToNotify()
    Overrides:
      `getGroupIdsToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`